VisualEditor: references in image captions are not included in reflists
Closed, ResolvedPublic

Description

Similar to bug 51289 and bug 52398 references that are defined in image captions do not appear in reflists. Example at [[Radiocarbon dating]].


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51289
https://bugzilla.wikimedia.org/show_bug.cgi?id=52398
https://bugzilla.wikimedia.org/show_bug.cgi?id=50459

bzimport set Reference to bz52427.
Thryduulf created this task.Via LegacyAug 1 2013, 11:02 PM
bzimport added a comment.Via ConduitAug 1 2013, 11:18 PM

kwwilliams wrote:

52300 may also be related.

gerritbot added a comment.Via ConduitAug 2 2013, 4:33 PM

Change 77346 had a related patch set uploaded by Esanders:
Only skip past empty keyedNodes sets if key exists

https://gerrit.wikimedia.org/r/77346

gerritbot added a comment.Via ConduitAug 2 2013, 6:55 PM

Change 77346 merged by jenkins-bot:
Only skip past empty keyedNodes sets if key exists

https://gerrit.wikimedia.org/r/77346

Elitre added a comment.Via ConduitNov 18 2013, 10:08 PM

<<[...] the references 20 and 21 in https://en.wikipedia.org/wiki/Baruch_Spinoza?veaction=edit which are in image captions disappear from the references list in VE and the numbering becomes discombobulated. Win7 FF 24.0 Monobook. --Atethnekos (Discussion, Contributions) 05:42, 12 November 2013 (UTC)>>.

Jdforrester-WMF added a comment.Via ConduitNov 19 2013, 7:00 AM

Re-setting as FIXED, and have raised the regression as bug 57228.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.